> I merged a patch in [ruby-dev:39172]: reject readline6.
> If someone want to change the license of Ruby and work about it, please reopen this.

Maybe unrelated, but there is a pure ruby readline

http://github.com/luislavena/rb-readline

which I've used with core and it work on 1.8.6, (1.9.x with a small
known bug) on both windows and linux.

If it were useful to core to use instead of gnu readline I'd be happy
to maintain it, et al.

I'm not sure if it's as fully featured as gnu readline but it's
relatively easy to maintain at least, since it's in ruby.

-rp